McElieceCCA2PublicKeyParameters (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.pqc.crypto.mceliece

## Class McElieceCCA2PublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.mceliece.McElieceCCA2KeyParameters
    - - org.bouncycastle.pqc.crypto.mceliece.McElieceCCA2PublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class McElieceCCA2PublicKeyParameters
      extends McElieceCCA2KeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McElieceCCA2PublicKeyParameters(java.lang.String oid, int n, int t, byte[] encMatrix, McElieceCCA2Parameters params)` Constructor (used by `McElieceKeyFactory`).
    `McElieceCCA2PublicKeyParameters(java.lang.String oid, int n, int t, GF2Matrix matrix, McElieceCCA2Parameters params)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getK()`
    `GF2Matrix` | `getMatrixG()`
    `int` | `getN()`
    `java.lang.String` | `getOIDString()`
    `int` | `getT()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.mceliece.McElieceCCA2KeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McElieceCCA2PublicKeyParameters

          public McElieceCCA2PublicKeyParameters(java.lang.String oid,
                                         int n,
                                         int t,
                                         GF2Matrix matrix,
                                         McElieceCCA2Parameters params)

      Constructor.
      Parameters:
        `n` - length of the code
        `t` - error correction capability
        `matrix` - generator matrix
        `params` - McElieceCCA2Parameters

    - #### McElieceCCA2PublicKeyParameters

          public McElieceCCA2PublicKeyParameters(java.lang.String oid,
                                         int n,
                                         int t,
                                         byte[] encMatrix,
                                         McElieceCCA2Parameters params)

      Constructor (used by `McElieceKeyFactory`).
      Parameters:
        `n` - length of the code
        `t` - error correction capability of the code
        `encMatrix` - encoded generator matrix
        `params` - McElieceCCA2Parameters

  - ### Method Detail

    - #### getN

          public int getN()

      Returns:
        the length of the code

    - #### getT

          public int getT()

      Returns:
        the error correction capability of the code

    - #### getMatrixG

          public GF2Matrix getMatrixG()

      Returns:
        the generator matrix

    - #### getK

          public int getK()

      Returns:
        the dimension of the code

    - #### getOIDString

          public java.lang.String getOIDString()